TableMenuRenderer (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.TableMenuRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TableMenuRenderer

    java.lang.Object
      org.richfaces.renderkit.html.TableMenuRenderer

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RichTableMenuRenderer, SimpleTableMenuRenderer

    public abstract class TableMenuRenderer

extends java.lang.Object
implements java.io.Serializable

Abstract renderer class for table menu.

Author:
  pawelgo
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CHANGE_COL_VISIBILITY`
`protected org.ajax4jsf.javascript.JSFunction` | `changeColumnVisibilityFunction`
`protected UIColumn` | `column`
`protected javax.faces.context.FacesContext` | `context`
`protected org.ajax4jsf.javascript.JSFunction` | `groupFunction`
`protected org.ajax4jsf.javascript.JSFunctionDefinition` | `onAjaxCompleteFunction`
`protected org.ajax4jsf.javascript.JSFunction` | `prepareFunction`
`protected static org.ajax4jsf.resource.InternetResourceBuilder` | `resourceBuilder`
`protected org.ajax4jsf.javascript.JSFunction` | `sortFunction`
`protected UIExtendedDataTable` | `table`

Constructor Summary
`TableMenuRenderer()`

Method Summary
`abstract org.ajax4jsf.javascript.JSFunctionDefinition` | `createShowMenuEventFunction()` Creates JavaScript code to be executed in order to show menu on some event.
`protected abstract java.lang.String` | `render()` Renders table menu.
`java.lang.String` | `renderMenu(javax.faces.context.FacesContext context, UIExtendedDataTable table, UIColumn column)` Performs initial operations and renders table menu.
`void` | `setChangeColumnVisibilityFunction(org.ajax4jsf.javascript.JSFunction changeColumnVisibilityFunction)` Set JavaScript function for change column visibility.
`void` | `setGroupFunction(org.ajax4jsf.javascript.JSFunction groupFunction)` Set JavaScript function for group table.
`void` | `setOnAjaxCompleteFunction(org.ajax4jsf.javascript.JSFunctionDefinition functionDefinition)` Sets function to be called on complete AJAX request fired by menu action
`void` | `setPrepareFunction(org.ajax4jsf.javascript.JSFunction prepareFunction)` Set JavaScript function called before send AJAX request.
`void` | `setSortFunction(org.ajax4jsf.javascript.JSFunction sortFunction)` Set JavaScript function for sort table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANGE_COL_VISIBILITY

    public static final java.lang.String CHANGE_COL_VISIBILITY

See Also:
  Constant Field Values

### context

    protected javax.faces.context.FacesContext context

### table

    protected UIExtendedDataTable table

### column

    protected UIColumn column

### changeColumnVisibilityFunction

    protected org.ajax4jsf.javascript.JSFunction changeColumnVisibilityFunction

### sortFunction

    protected org.ajax4jsf.javascript.JSFunction sortFunction

### groupFunction

    protected org.ajax4jsf.javascript.JSFunction groupFunction

### prepareFunction

    protected org.ajax4jsf.javascript.JSFunction prepareFunction

### onAjaxCompleteFunction

    protected org.ajax4jsf.javascript.JSFunctionDefinition onAjaxCompleteFunction

### resourceBuilder

    protected static org.ajax4jsf.resource.InternetResourceBuilder resourceBuilder

Constructor Detail

### TableMenuRenderer

    public TableMenuRenderer()

Method Detail

### renderMenu

    public java.lang.String renderMenu(javax.faces.context.FacesContext context,
                                       UIExtendedDataTable table,
                                       UIColumn column)
                                throws java.io.IOException

  Performs initial operations and renders table menu.

  Parameters:
    `context` - faces context
    `table` - table component
    `column` - current column
  Returns:
    created menu (DOM element) id
  Throws:
    `java.io.IOException`

### render

    protected abstract java.lang.String render()
                                        throws java.io.IOException

  Renders table menu.

  Returns:
    created menu (DOM element) id
  Throws:
    `java.io.IOException`

### createShowMenuEventFunction

    public abstract org.ajax4jsf.javascript.JSFunctionDefinition createShowMenuEventFunction()

  Creates JavaScript code to be executed in order to show menu on some event.

  Returns:
    JavaScript code causes showing menu

### setOnAjaxCompleteFunction

    public void setOnAjaxCompleteFunction(org.ajax4jsf.javascript.JSFunctionDefinition functionDefinition)

  Sets function to be called on complete AJAX request fired by menu action

  Parameters:
    `functionDefinition` - function to be called on complete AJAX request

### setChangeColumnVisibilityFunction

    public void setChangeColumnVisibilityFunction(org.ajax4jsf.javascript.JSFunction changeColumnVisibilityFunction)

  Set JavaScript function for change column visibility.

  Parameters:
    `changeColumnVisibilityFunction` - JavaScript function

### setSortFunction

    public void setSortFunction(org.ajax4jsf.javascript.JSFunction sortFunction)

  Set JavaScript function for sort table.

  Parameters:
    `sortFunction` - JavaScript function

### setGroupFunction

    public void setGroupFunction(org.ajax4jsf.javascript.JSFunction groupFunction)

  Set JavaScript function for group table.

  Parameters:
    `groupFunction` - JavaScript function

### setPrepareFunction

    public void setPrepareFunction(org.ajax4jsf.javascript.JSFunction prepareFunction)

  Set JavaScript function called before send AJAX request.

  Parameters:
    `prepareFunction` - JavaScript function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.